/b2b/user/billing-address
Save user billing address
Body
required
application/json
JSON Body
- Type: stringcityrequired
City name. From 2 to 30 chars.
- Type: stringcountry
_code requiredISO 3166-1 Alpha-2 country code
- Type: stringstate
_code required2-3 chars or empty string if not applicable
- Type: stringstreet
_line _1 requiredStreet line 1. From 2 to 30 chars. At least one of street_line_1 and street_line_2 fields is required.
- Type: stringstreet
_line _2 requiredStreet line 2. From 2 to 30 chars. At least one of street_line_1 and street_line_2 fields is required.
- Type: stringzip
_code requiredZip code. From 2 to 10 chars.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/b2b/user/billing-address
curl https://sandbox-api.mrcr.io/v1.6/b2b/user/billing-address \
--request POST \
--header 'Content-Type: application/json' \
--header 'B2B-Bearer-Token: YOUR_SECRET_TOKEN' \
--data '{
"country_code": "gb",
"street_line_1": "Queens Road",
"street_line_2": "63",
"city": "London",
"zip_code": "EC05",
"state_code": "ny"
}'
{
"status": 201,
"data": {}
}